Subject: bug#35421: Also bind left image rotation key

From: "Basil L. Contovounesios" <[email-masked]>
Date: Tue, 09 Jul 2019 15:54:34 +0100

reopen 35421
tags 35421 - wontfix
quit

Lars Ingebrigtsen <[email-masked]> writes:

> 積丹尼 Dan Jacobson <[email-masked]> writes:
>
>> When viewing an image we type C-h m
>>
>>    Image[imagemagick] mode defined in ‘image-mode.el’:
>>
>> there is only one rotate command bound
>>
>>    r		image-rotate
>>
>> and it only rotates right. To rotate left one must hit it three times.
>
> I don't think it's worth adding more keystrokes to the image map --
> images can appear in any mode and it's better to keep the number of
> keystrokes limited.

I had a patch prepared for giving image-rotate an optional prefix
argument, but then I got distracted by some imagemagick vs native
transformation issues, so I was waiting for the native support to
stabilise a bit before returning to this in earnest.  Should have
something to show within a day or two.

Thanks,

-- 
Basil